// Copyright (c) Vincent Dardel, <vindarez@mailz.org>,  Abelujo Developers
// See the COPYRIGHT file at the top-level directory of this distribution

// Abelujo is free software: you can redistribute it and/or modify
// it under the terms of the GNU Affero General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.

// Abelujo is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Affero General Public License for more details.

// You should have received a copy of the GNU Affero General Public License
// along with Abelujo.  If not, see <http://www.gnu.org/licenses/>.
{% extends "base.html" %}

{% block auto_command_nb %} {{ auto_command_nb }} {% endblock %}

{% block content %}

{% load i18n %}
{% load bootstrap3 %}
{% bootstrap_css %}
{% bootstrap_javascript %}
{% load ngfilter %}

{% if messages %}
ul.messages
  {% for msg in messages %}
  // xxx: correct status.
  uib-alert(type="info")  {{ msg }}
  {% endfor %}
{% endif %}

ul.nav.nav-tabs.nav-justified
    li.active(role="presentation")
      a(href="#") {% trans "To command" %}
        span.badge.ng-cloak(title="")   {{ total_copies }}
    li#ongoing(role="presentation")
      a(href="{% url 'commands_ongoing' %}") {% trans "Commands ongoing" %}  
        span.badge.ng-cloak(title='{% trans "Number of ongoing commands." %}')   {{ "ongoing_commands_nb" | ng }}
    li(role="presentation")
      a(href="/databasesearch/command/", target="_blank") {% trans "Historique" %}

.row
  .col-lg-3
    // Feature in development: button to validate and send the command.
    // .btn-group(style="padding: 5px")
      form.form-inline(method="POST", action="{% url 'basket_auto_command_validate' %}")
        button.btn.btn-success(onclick="return confirm('Are you sure?')", title="{% trans 'Send the command to Dilicom.' %}", type="submit") {% trans "Validate…" %}

    .btn-group(style="padding: 5px")
      form.form-inline(method="POST", action="{% url 'basket_auto_command_empty' %}")
        button.btn.btn-default(onclick="return confirm('Are you sure?')", title="{% trans 'Empty the command list.' %}", type="submit") {% trans "Empty…" %}
        a.btn.btn-default(href="http://abelujo.cc/docs/commands/", target="_blank", title='{% trans "Read the documentation" %}')
         i.glyphicon.glyphicon-question-sign

.row
 .col-md-6
   .panel.panel-default
    .panel-heading {% trans "All cards" %}
    .panel-body
      table.table.table-condensed.table-striped
        tbody
          tr
            td
              a(href="{% url 'command_supplier' 'all' %}") {% trans "All cards" %}
            td {{ total_copies }}

.row
 .col-md-6
  .panel.panel-default
   .panel-heading {% trans "Cards with no supplier" %}
   .panel-body
     if no_dist
       table.table.table-condensed.table-striped
        tbody
          tr
            td
              a(href="{% url 'command_supplier' '0' %}") {{ no_dist.0 }}
            td {{ no_dist.1 }}
     else
        {% trans "no data" %}

.row
 .col-md-12
  .panel.panel-default
    .panel-heading {% trans "Grouped by supplier" %}
    .panel-body
      if dists
        table.table.table-condensed.table-striped
          thead
            th {% trans "Supplier" %}
            th {% trans "Quantity" %}
          tbody
            for it in dists
              tr
                td
                  a(href="{% url 'command_supplier' it.0.id %}") {{ it.0.name }}
                td {{ it.1 }}

      else
        {% trans "no data" %}

{% endblock %}
